import 'package:flutter/material.dart';
import 'package:fis_ui/base_define/page.dart';
import 'package:fis_ui/index.dart';

import 'tab_button.dart';
import 'tab_button_group.dart';

class IconTabList extends StatefulWidget {
  final Map<String, IconData> tabs;
  final String? selectedValue;
  final void Function(int) onPressed;
  const IconTabList(
    this.tabs, {
    super.key,
    this.selectedValue,
    required this.onPressed,
  });

  @override
  State<StatefulWidget> createState() {
    return IconTabListState();
  }
}

class IconTabListState extends State<IconTabList> {
  String _selectedValue = '';
  String _focusItem = '';

  @override
  void initState() {
    super.initState();
    _selectedValue = widget.selectedValue ?? widget.tabs.keys.first;
    _focusItem = widget.tabs.keys.first;
  }

  @override
  void didUpdateWidget(covariant IconTabList oldWidget) {
    if (_selectedValue != widget.selectedValue) {
      setState(() {
        _selectedValue = widget.selectedValue ?? widget.tabs.keys.first;
        _focusItem = _selectedValue;
      });
    }

    // selectedValues.addAll(widget.value ?? []);
    super.didUpdateWidget(oldWidget);
  }

  @override
  Widget build(BuildContext context) {
    return Container(
        padding: const EdgeInsets.only(left: 10),
        decoration: BoxDecoration(
          border: Border(
            bottom: BorderSide(
              color: Colors.grey[300]!,
              width: 1.0,
            ),
          ),
        ),
        child: TabButtonGroup(
          widget.tabs.keys.map((e) {
            var index = widget.tabs.keys.toList().indexOf(e);
            return TabButton(
              padding: const EdgeInsets.symmetric(horizontal: 0, vertical: 8),
              width: 90,
              activeIndex: widget.tabs.keys.toList().indexOf(_selectedValue),
              index: index,
              tabTitle: e,
              onCallbackTap: () {
                widget.onPressed.call(index);
              },
            );
          }).toList(),
        ));
  }
}
