import 'package:fis_jsonrpc/rpc.dart';

class RegistrationInfoModel {
  String? code;
  String? patientName;
  String? phone;
  String? cardNo;
  String? nationality;
  DateTime? birthday;
  GenderEnum? patientGender;
  String? patientAddress;
  String? permanentResidenceAddress;

  RegistrationInfoModel({
    this.code,
    this.patientName,
    this.phone,
    this.cardNo,
    this.nationality,
    this.birthday,
    this.patientGender,
    this.patientAddress,
  });

  factory RegistrationInfoModel.fromPatientDTO(PatientDTO patient) {
    return RegistrationInfoModel(
      code: patient.code,
      patientName: patient.patientName,
      phone: patient.phone,
      cardNo: patient.cardNo,
      nationality: patient.nationality,
      birthday: patient.birthday,
      patientGender: patient.patientGender,
      patientAddress: patient.patientAddress,
    );
  }

  PatientDTO addToPatientDTO(PatientDTO patient) {
    patient.code = code;
    patient.patientName = patientName;
    patient.phone = phone;
    patient.cardNo = cardNo;
    patient.nationality = nationality;
    patient.birthday = birthday;
    patient.patientGender = patientGender ?? GenderEnum.Unspecified;
    patient.patientAddress = patientAddress;
    patient.permanentResidenceAddress = permanentResidenceAddress;
    return patient;
  }

  static GenderEnum getGenderEnum(String? genderString) {
    switch (genderString) {
      case "男":
        return GenderEnum.Male;
      case "女":
        return GenderEnum.Female;
      case "未知的性别":
        return GenderEnum.Unknown;
      case "未说明的性别":
        return GenderEnum.Unspecified;
      default:
        return GenderEnum.Unspecified;
    }
  }

  static String getGenderString(GenderEnum? enumValue) {
    switch (enumValue) {
      case GenderEnum.Male:
        return "男";
      case GenderEnum.Female:
        return "女";
      case GenderEnum.Unknown:
        return "未知的性别";
      case GenderEnum.Unspecified:
        return "未说明的性别";
      default:
        return "未说明的性别";
    }
  }
}

class VSelectGenderEnumModel {
  VSelectGenderEnumModel({
    required this.code,
    required this.name,
  });
  GenderEnum code;
  String name;
}
