import 'package:ecg_list_view/ecg_list/controller.dart';
import 'package:flutter/material.dart';
import 'package:get/get.dart';
import 'package:get/get_state_manager/src/simple/get_view.dart';
import 'package:fis_ui/index.dart';

class TablePagination extends GetView<EcgListController> {
  const TablePagination({super.key});

  @override
  Widget build(BuildContext context) {
    return GetBuilder<EcgListController>(
      id: "table_pagination",
      builder: (_) {
        return Row(
          mainAxisAlignment: MainAxisAlignment.end,
          children: [
            FTablePagination(
              currListLength: controller.tableCount,
              currPageIndex: controller.currPageIndex,
              pageSize: 10,
              onChangePage: (pageIndex, listLength) {
                controller.getDatas(
                  pageIndex: pageIndex,
                  pageSize: listLength,
                );
              },
              totalItemNumText: "共${controller.tableCount}项",
              previousFivePageText: "向前5页",
              nextFivePageText: "向后5页",
            ),
          ],
        );
      },
    );
  }
}
