class ResidentModel {
  /// 居民姓名
  final String? name;

  /// 居民身份证
  final String idNumber;

  ///唯一编号
  final String? code;

  /// 体检号
  final String? physicalExamNumber;

  /// 居民年龄
  final String? age;

  /// 居民地址
  final String? homeAddress;

  /// 登记状态
  final String? physicalExamStatus;

  /// 未做体检项目（可去）
  final List<String>? unexaminedItems;

  /// 手机号
  final String? phone;

  /// 当前已完成的体检项目
  final List<String>? finishedExamKeys;
  final DateTime? birthDay;
  final String? sex;

  /// 体检批次号
  final String? batchNumber;

  final DateTime? createTime;

  /// 健康指导
  String? resultsAndSuggestions;

  /// 责任医生
  String? createdDoctorName;

  /// 体检时间
  DateTime? physicalExamTime;

  ResidentModel({
    this.name,
    required this.idNumber,
    this.code,
    this.physicalExamNumber,
    this.age,
    this.homeAddress,
    this.unexaminedItems,
    this.physicalExamStatus,
    this.phone,
    this.finishedExamKeys,
    this.birthDay,
    this.sex,
    this.batchNumber,
    this.createTime,
    this.resultsAndSuggestions,
    this.createdDoctorName,
    this.physicalExamTime,
  });
}
